<?php
/**

Plugin Name: Chrome Frame For Wordpress 
Version: 1.5
Plugin URI: http://blog.hdragomir.com/google-chrome-frame/
Description: Google Chrome Frame for Any Wordpress Theme and Blog. 
Author: Horia Dragomir
Author URI: http://hdragomir.com

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/


defined( 'CHROME_FRAME_NOTIF_TYPE_NONE' ) or define( 'CHROME_FRAME_NOTIF_TYPE_NONE', 0 );
defined( 'CCHROME_FRAME_NOTIF_TYPE_ONCE' ) or define( 'CHROME_FRAME_NOTIF_TYPE_ONCE', 10 );
defined( 'CCHROME_FRAME_NOTIF_TYPE_HUGE' ) or define( 'CHROME_FRAME_NOTIF_TYPE_HUGE', 20 );


if( ! function_exists( 'google_chrome_frame_meta_tag' ) ){
	function google_chrome_frame_meta_tag(){

echo '
<!-- start Chrome Frame For Wordpress -->
	<meta http-equiv="X-UA-Compatible" content="chrome=1" />';

	$notif_type = get_option( 'chrome_frame_notif_type' );	
	if( $notif_type ==  CHROME_FRAME_NOTIF_TYPE_HUGE || 
	    ( $notif_type == CHROME_FRAME_NOTIF_TYPE_ONCE && empty( $_COOKIE['CHROME_FRAME_NOTIFIED_ONCE'] ) ) ): 
		setcookie( 'CHROME_FRAME_NOTIFIED_ONCE', 1 );

	?>
	<!--[if IE]>
		<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/chrome-frame/1/CFInstall.min.js"></script>
		<script type="text/javascript">
		
			window.attachEvent( 'onload', function(){
				CFInstall.check({
					node: "cf-placeholder",
					destination : '<?php echo esc_url($_SERVER['REQUEST_URI']); ?>'
				});
			} )
		</script>
	<![endif]-->
<?php add_action( 'wp_footer', 'google_chrome_frame_placeholder_html' ); 
	endif;
	echo '<!-- end Chrome Frame For Wordpress -->
	';
	}
	add_action( 'wp_head', 'google_chrome_frame_meta_tag' );
}

if( ! function_exists( 'google_chrome_frame_placeholder_html' ) ){
	function google_chrome_frame_placeholder_html( ){
	
		echo '<div id="cf-placeholder"></div>';
	
	}
}


add_filter( 'plugin_action_links', 'google_chrome_frame_settings_link', 10, 2 );

function google_chrome_frame_settings_link( $links, $file ) {
	static $this_plugin;
	empty( $this_plugin ) and $this_plugin = plugin_basename( __FILE__ );
	if ( $file == $this_plugin ) {
		array_unshift( $links, '<a href="' . admin_url( 'options-general.php?page=chrome-frame-options' ) . '">' . __( 'Settings' ) . '</a>' );
	}
	return $links;
}

if( ! function_exists( 'google_chrome_frame_admin_menu' )  ){

	add_action( 'admin_menu', 'google_chrome_frame_admin_menu' );

	function google_chrome_frame_admin_menu(){
		add_options_page( 'chrome frame', 'chrome frame', 8, 'chrome-frame-options', 'google_chrome_frame_admin_page' );	
	}
}

if( ! function_exists( 'gogle_chrome_frame_admin_page' ) ){

	function google_chrome_frame_admin_page(){
		$itsOK = true;
		include( dirname( realpath( __FILE__ ) ) . '/admin-page.php' );
	}

}


	
